package com.mortals.xhx.module.basic.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.basic.model.vo.BasicSetVo;
import lombok.Data;
/**
* 基础功能设置实体对象
*
* @author zxfei
* @date 2023-12-04
*/
@Data
public class BasicSetEntity extends BasicSetVo {
    private static final long serialVersionUID = 1L;

    /**
    * 抬头设置
    */
    private String lookUp;
    /**
    * 播放时间，单位秒
    */
    private Integer playTime;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof BasicSetEntity) {
            BasicSetEntity tmp = (BasicSetEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.lookUp = "";
            this.playTime = 0;
            this.remark = "";
    }
}